<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="map.aspx.cs" Inherits="LJCMS.map" %>
<html xmlns:v="urn:schemas-microsoft-com:vml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<title></title>
<style type="text/css">v\:*{behavior:url(#default#VML);}</style>
<script language="javascript" src=http://api.51ditu.com/js/maps.js></script>
<script language="javascript">
	var map;
	function getClickCallBack(marker,html) 
	{ 
	        return function(){var infoWin=marker.openInfoWinHtml(html );infoWin.setTitle('<%= gsmc %>');} ;
	} 
	function onLoad()
	{
        var gsxy='<%= gsxy %>'.split(',');
		map=new LTMaps("mapDiv");
		map.centerAndZoom(new LTPoint(gsxy[0],gsxy[1]),6);
		map.addControl(new LTStandMapControl());
		var points=[];
		points.push(new LTPoint( gsxy[0] , gsxy[1] )); 
		for(var i=0;i<points.length;i++)
		{ 
			var marker = new LTMarker( points[i] ); 
			map.addOverLay( marker ); 
			var html='<%= gsdz %>'+'<a href=\"map.aspx\" target=\"_blank\">[查看大图]</a>';
			LTEvent.addListener( marker , "click" ,getClickCallBack(marker,html)); 
		} 
	}
</script>
</head>
<body onload="onLoad()" style ="margin:0px;padding:0px;">
<div id="mapDiv" style="position:absolute;width:100%; height:100%;"><div align="center" style="margin:12px;"><a href="http://api.51ditu.com/docs/mapsapi/help.html" target="_blank" style="color:#D01E14;font-weight:bolder;font-size:12px;">看不到地图请点这里</a></div></div>
</body>
</html>
